Skip to navigation

Merge or pull changes into a collection fork

View as Markdown

Merges a forked (source) collection and its parent (destination) collection asynchronously. To pull changes into a fork, pass the forked collection’s ID as the destination value and the parent collection ID as the source value.

The response returns a task id value, which you can use to track the merge’s status with the GET /collection-merges-tasks/{taskId} endpoint.

Authentication

x-api-keystring
API Key authentication via header

Request

This endpoint expects an object.
strategyenumRequired

The fork’s merge strategy:

  • default — Make no changes to the fork. You must have Editor access to the destination collection.
  • updateSourceWithDestination — Merge changes and apply any differences in the destination collection to the source. You must have Editor access to both the source and destination collection.
  • deleteSource — Merge the changes and delete the fork. You must have Editor access to both the source and destination collection.
Allowed values:
sourcestringRequiredformat: "uid"
The source collection's unique ID.
destinationstringRequiredformat: "uid"
The destination collection's unique ID.

Response

Successful Response
taskobjectOptional
Information about the merge task.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error